OracleSqlUtil::OracleForeignConstraint Class Reference

represents an Oracle foreign constraint More...

Inherits SqlUtil::AbstractForeignConstraint.

## Public Member Functions

string | getDisableSql (string table_name)
| returns a string that can be used to temporarily disable the constraint from the database
string | getEnableSql (string table_name, *hash opt)
| returns a string that can be used to enable the constraint in the database

## Public Attributes

bool | enabled
| True if the constraint is enabled, False if not

## Detailed Description

represents an Oracle foreign constraint